Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.streaming
Class StreamNotifyProc

    java.lang.Object
      |
      +--quicktime.streaming.StreamNotifyProc

public abstract class StreamNotifyProc
extends java.lang.Object

The StreamNotifyProc class is used by notification procedures in the Broadcaster package. An application should subclass this class, over-riding the method(s) that is of interest. Actions associated with methods not over-ridden will return 0, indicating no error

Method Summary
`int` | `execute(int type)` This method should be overridden to handle the following notification types: kQTSNullNotification kQTSPresBeginChangingNotification kQTSPresDoneChangingNotification kQTSPresentationChangedNotification kQTSPresentationDoneNotification kQTSAnnotationsChangedNotification
`int` | `execute(int type, int flags, int restartAt)` This method should be overridden to handle the following notification types: kQTSBandwidthAlertNotification
`int` | `execute(int type, int flags, int scale, long duration)` This method should be overridden to handle the following notification types: kQTSDurationNotification
`int` | `execute(int err, int type, java.lang.String s, int flags)` This method should be overridden to handle the following notification types: kQTSErrorNotification
`int` | `execute(int type, Presentation pres)` This method should be overridden to handle the following notification types: kQTSNewPresentationNotification kQTSPresentationGoneNotification
`int` | `execute(int type, StatusParams status)` This method should be overridden to handle the following notification types: kQTSStatusNotification
`int` | `execute(int type, Stream s)` This method should be overridden to handle the following notification types: kQTSStreamBeginChangingNotification kQTSStreamDoneChangingNotification kQTSPreviewAckNotification kQTSPrerollAckNotification kQTSStartAckNotification kQTSStopAckNotification kQTSNewStreamNotification kQTSStreamGoneNotification
`int` | `execute(int type, Stream s, Component comp)` This method should be overridden to handle the following notification types: kQTSStreamChangedNotification
`int` | `execute(int type, java.lang.String s)` This method should be overridden to handle the following notification types: kQTSURLNotification kQTSServerNameNotification

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### execute

    public int execute(int type)

  This method should be overridden to handle the following notification types:
  - kQTSNullNotification
  - kQTSPresBeginChangingNotification
  - kQTSPresDoneChangingNotification
  - kQTSPresentationChangedNotification
  - kQTSPresentationDoneNotification
  - kQTSAnnotationsChangedNotification
  Parameters:
    `type` - the type of notification
  Returns:
    0 if no error occurred processing the notification

### execute

    public int execute(int type,
                       Stream s)

  This method should be overridden to handle the following notification types:
  - kQTSStreamBeginChangingNotification
  - kQTSStreamDoneChangingNotification
  - kQTSPreviewAckNotification
  - kQTSPrerollAckNotification
  - kQTSStartAckNotification
  - kQTSStopAckNotification
  - kQTSNewStreamNotification
  - kQTSStreamGoneNotification
  Parameters:
    `type` - the type of notification
    `s` - the stream that originated the notification
  Returns:
    0 if no error occurred processing the notification

### execute

    public int execute(int type,
                       Presentation pres)

  This method should be overridden to handle the following notification types:
  - kQTSNewPresentationNotification
  - kQTSPresentationGoneNotification
  Parameters:
    `type` - the type of notification
    `pres` - the Presentation that originated the notification
  Returns:
    0 if no error occurred processing the notification

### execute

    public int execute(int type,
                       Stream s,
                       Component comp)

  This method should be overridden to handle the following notification types:
  - kQTSStreamChangedNotification
  Parameters:
    `type` - the type of notification
    `s` - the Stream that originated the notification
    `comp` - the component that changed
  Returns:
    0 if no error occurred processing the notification

### execute

    public int execute(int type,
                       StatusParams status)

  This method should be overridden to handle the following notification types:
  - kQTSStatusNotification
  Parameters:
    `type` - the type of notification
    `status` - the StatusParams containing the notification
  Returns:
    0 if no error occurred processing the notification

### execute

    public int execute(int type,
                       java.lang.String s)

  This method should be overridden to handle the following notification types:
  - kQTSURLNotification
  - kQTSServerNameNotification
  Parameters:
    `type` - the type of notification
    `s` - the String containing the notification information
  Returns:
    0 if no error occurred processing the notification

### execute

    public int execute(int err,
                       int type,
                       java.lang.String s,
                       int flags)

  This method should be overridden to handle the following notification types:
  - kQTSErrorNotification
  Parameters:
    `err` - this is the errorNo that has occurred.
    `type` - the type of notification
    `s` - the String containing the error information
  Returns:
    0 if no error occurred processing the notification

### execute

    public int execute(int type,
                       int flags,
                       int scale,
                       long duration)

  This method should be overridden to handle the following notification types:
  - kQTSDurationNotification
  Parameters:
    `type` - the type of notification
    `flags` - the notification flags
  Returns:
    0 if no error occurred processing the notification

### execute

    public int execute(int type,
                       int flags,
                       int restartAt)

  This method should be overridden to handle the following notification types:
  - kQTSBandwidthAlertNotification
  Parameters:
    `type` - the type of notification
    `flags` - the notification flags
  Returns:
    0 if no error occurred processing the notification

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD